firefox出现问题,求助

为当前最终发行版之前的所有版本提供支持
回复
lurkerljl
帖子: 6
注册时间: 2006-06-17 11:10
送出感谢: 0
接收感谢: 0
联系:

firefox出现问题,求助

#1

帖子 lurkerljl » 2006-12-13 18:29

我用的是ubuntu 6.10,本来用的是自带的firefox2.0,但不知道怎么回事,firefox经常自己关闭。我卸载了再安装,还是一样,于是我删除了系统中的firefox目录,共两个,一个是/etc目录下的,一个是/usr/lib目录下的。
但之后再装firefox时就出错了 。以下是出错信息:

After unpacking 29.3MB of additional disk space will be used.
(Reading database ... 101002 files and directories currently installed.)
Unpacking firefox (from .../firefox_2.0+0dfsg-0ubuntu3_i386.deb) ...
Replaced by files in installed package libnss3 ...
dpkg: error processing /var/cache/apt/archives/firefox_2.0+0dfsg-0ubuntu3_i386.deb (--unpack):
unable to create `./usr/lib/firefox/firefox': No such file or directory
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/firefox_2.0+0dfsg-0ubuntu3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

请教:怎么才能再装上firefox?
谢谢
头像
chiron1800
帖子: 99
注册时间: 2006-10-26 14:19
送出感谢: 0
接收感谢: 0

#2

帖子 chiron1800 » 2006-12-13 20:08

flash的问题 全部删除 然后重新安装
lurkerljl
帖子: 6
注册时间: 2006-06-17 11:10
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 lurkerljl » 2006-12-13 20:14

我已经全部删除了啊,安装的时候出现上面的错误,不知道怎么回事啊
jimmin
论坛版主
帖子: 2138
注册时间: 2006-09-24 4:37
送出感谢: 0
接收感谢: 1 次

#4

帖子 jimmin » 2006-12-14 0:16

你不会是手动删除的吧,firefox应该用新立得删除才对。
lurkerljl
帖子: 6
注册时间: 2006-06-17 11:10
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 lurkerljl » 2006-12-14 13:09

我是手动删除的,开始用新立得删除,还是有问题,以为是配置文件的问题,就手动删除了。
现在应该怎么办,才能再装上firefox??
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 SuperWar3Fan » 2006-12-14 15:38

应该sudo!
shoory
帖子: 123
注册时间: 2006-08-05 12:47
来自: 四川成都
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 shoory » 2006-12-14 16:22

sudo apt-get remove firefox
sudo apt-get install firefox

这样就重新装了firefox 2.0

FireFox2.0 经常崩溃的原因是使用了Flash Player Plugin 9.0 beta的原因,换回6.0或7.0就好了。删除~/.mozilla/plugin/libflashplayer.so
回复

回到 “老旧版本支持”